package kate-syntax-go (not installed) failed to install/upgrade: »/usr/share/kde4/apps/katepart/syntax/go.xml« is already in kate-data 4:4.8.1-0ubuntu1

Bug #968734 reported by Swen Kühnlein on 2012-03-29
62
This bug affects 7 people
Affects Status Importance Assigned to Milestone
kate
Fix Released
Unknown
kate (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned

Bug Description

Could not install because /usr/share/kde4/apps/katepart/syntax/go.xml is already in kate-data 4:4.8.1-0ubuntu1

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: kate-syntax-go (not installed)
ProcVersionSignature: Ubuntu 3.2.0-20.33-generic 3.2.12
Uname: Linux 3.2.0-20-generic x86_64
NonfreeKernelModules: openafs fglrx
ApportVersion: 1.95-0ubuntu1
Architecture: amd64
Date: Fri Mar 30 01:42:58 2012
ErrorMessage: Versuch, »/usr/share/kde4/apps/katepart/syntax/go.xml« zu überschreiben, welches auch in Paket kate-data 4:4.8.1-0ubuntu1 ist
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Beta amd64 (20110901)
SourcePackage: golang
Title: package kate-syntax-go (not installed) failed to install/upgrade: Versuch, »/usr/share/kde4/apps/katepart/syntax/go.xml« zu überschreiben, welches auch in Paket kate-data 4:4.8.1-0ubuntu1 ist
UpgradeStatus: Upgraded to precise on 2012-02-15 (43 days ago)

Swen Kühnlein (swen) wrote :
summary: package kate-syntax-go (not installed) failed to install/upgrade:
- Versuch, »/usr/share/kde4/apps/katepart/syntax/go.xml« zu überschreiben,
- welches auch in Paket kate-data 4:4.8.1-0ubuntu1 ist
+ »/usr/share/kde4/apps/katepart/syntax/go.xml« is already in kate-data
+ 4:4.8.1-0ubuntu1
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in golang (Ubuntu):
status: New → Confirmed
Ondřej Surý (ondrej) wrote :

This was already fixed in kdelibs5-data and I don't know why it wasn't pulled from Debian package (kate-data is ok in Debian).

It's not a bug here, but in kate-data, which need to remove go.xml syntax file, since it's much better to track this close to the upstream.

Changed in kate (Ubuntu):
status: New → Confirmed
Changed in kate:
status: Unknown → Fix Released
tags: added: quantal
tags: added: running-unity
no longer affects: golang (Ubuntu)
Changed in kate (Ubuntu):
status: Confirmed → Triaged
Felix Geyer (debfx) on 2012-06-13
Changed in kate (Ubuntu Precise):
status: New → Triaged
Changed in kate (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kate - 4:4.8.90-0ubuntu1

---------------
kate (4:4.8.90-0ubuntu1) quantal; urgency=low

  [ Felix Geyer ]
  * New upstream beta release.

  [ Jonathan Riddell ]
  * Move go.xml to go-lang.xml in rules and kate-data.install to prevent
    clash with golang kate-syntax-go (LP: #968734)
 -- Felix Geyer <email address hidden> Mon, 11 Jun 2012 22:05:23 +0200

Changed in kate (Ubuntu):
status: Fix Committed → Fix Released
Scott Kitterman (kitterman) wrote :

Confirmed by inspection of the .deb that this is fixed in 4.8.4-0ubuntu0.1.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kate - 4:4.8.4-0ubuntu0.1

---------------
kate (4:4.8.4-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release. (LP: #1007798)
    - Update kate-data.install
  * Drop the go.xml kate syntax highlighting, as it's provided by
    kate-syntax-go. (LP: #968734)
 -- Felix Geyer <email address hidden> Sat, 23 Jun 2012 22:33:10 +0200

Changed in kate (Ubuntu Precise):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.